import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.Statement;

/*
 * @author rcantos@cambridge.org
 * Created on Jan 24, 2006
 *
 */

public class Statement_EX {

	public static void main(String[] args) throws Exception{
		
		//oracle driver
		String db_driver = "oracle.jdbc.driver.OracleDriver";
		
		//MS SQL 2000 driver
		//String db_driver = "com.microsoft.jdbc.sqlserver.SQLServerDriver";
		
		// mySQL 5.0 driver
		//String db_driver = "com.mysql.jdbc.Driver";
		
		// load the database driver
		Class.forName(db_driver);
		
		// oracle URL
		String db_URL = "jdbc:oracle:thin:@localhost:1521:SID";
		
		// MS SQL 2000 URL
		//String db_URL = "jdbc:microsoft:sqlserver://localhost:1433";
		
		// mySQL 5.0  URL
		//String db_URL = "jdbc:mysql://localhost/db";
		
		// Database username
		String db_username = "SCOTT";
		
		// Database password 
		String db_password = "TIGER";	
				
		// get connection to the database
		Connection connection = DriverManager.getConnection(db_URL, db_username, db_password);
		
		// sql statement
		String sql = "SELECT broker_id " +
		"  FROM broker_details bro where classification = 'F' order by ranking";
		
		// create a statement
		Statement ps = connection.createStatement();
					
		// send the sql statement to the database and received the data
		ResultSet rs = ps.executeQuery(sql);
		
		// check if there is data, iterate the resultset to extract the data
		while(rs.next()) {
			// get the first columm data which is broker_id by columen position
			System.out.println(rs.getInt(1));
			
			//another way to get the columm data by column name
			System.out.println("broker_id");			
		}
		
		// close the connection to the database
		connection.close();
		
		// close the prepared statement
		ps.close();
		
		//close the result set
		rs.close();	
		
		
	}
}




